Package tigase.kernel

## Class DefaultTypesConverter

- java.lang.Object
- - tigase.kernel.DefaultTypesConverter

- All Implemented Interfaces:
    `TypesConverter`

      @Bean(name="defaultTypesConverter",
            active=true)
      public class DefaultTypesConverter
      extends java.lang.Object
      implements TypesConverter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.kernel.TypesConverter

      `TypesConverter.Parcelable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultTypesConverter()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `convert​(java.lang.Object value, java.lang.Class<T> expectedType)` | Converts value to expected type.
    `<T> T` | `convert​(java.lang.Object value, java.lang.Class<T> expectedType, java.lang.reflect.Type genericType)` |
    `<T> T` | `convert​(java.lang.Object value, java.lang.reflect.Type type)` |
    `protected <T> T` | `customConversion​(java.lang.Object value, java.lang.Class<T> expectedType, java.lang.reflect.Type genericType)` |
    `static java.lang.String` | `escape​(java.lang.String input)` |
    `java.lang.String` | `toString​(java.lang.Object value)` | Converts object to String.
    `static java.lang.String` | `unescape​(java.lang.String input)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTypesConverter

          public DefaultTypesConverter()

  - ### Method Detail

    - #### escape

          public static java.lang.String escape​(java.lang.String input)

    - #### unescape

          public static java.lang.String unescape​(java.lang.String input)

    - #### convert

          public <T> T convert​(java.lang.Object value,
                               java.lang.Class<T> expectedType)

      Converts value to expected type.
      Specified by:
        `convert` in interface `TypesConverter`
      Type Parameters:
        `T` - expected type.
      Parameters:
        `value` - value to be converted.
        `expectedType` - class of expected type.
      Returns:
        converted value.

    - #### convert

          public <T> T convert​(java.lang.Object value,
                               java.lang.reflect.Type type)

    - #### convert

          public <T> T convert​(java.lang.Object value,
                               java.lang.Class<T> expectedType,
                               java.lang.reflect.Type genericType)

      Specified by:
        `convert` in interface `TypesConverter`

    - #### customConversion

          protected <T> T customConversion​(java.lang.Object value,
                                           java.lang.Class<T> expectedType,
                                           java.lang.reflect.Type genericType)

    - #### toString

          public java.lang.String toString​(java.lang.Object value)

      Converts object to String.
      Specified by:
        `toString` in interface `TypesConverter`
      Parameters:
        `value` - object to convert.
      Returns:
        text representation of value.